## org.eclipse.datatools.modelbase.sql.query
Interface PredicateQuantifiedRowSelect

All Superinterfaces:
  Predicate, PredicateQuantified, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

All Known Implementing Classes:
  PredicateQuantifiedRowSelectImpl

public interface PredicateQuantifiedRowSelect
extends PredicateQuantified

A representation of the model object 'SQL Predicate Quantified Row Select'.

The following features are supported:

- `Quantified Type`
- `Query Expr`
- `Value Expr List`

See Also:
  `SQLQueryModelPackage.getPredicateQuantifiedRowSelect()`

Method Summary
`PredicateQuantifiedType` `getQuantifiedType()` Returns the value of the 'Quantified Type' attribute.
`QueryExpressionRoot` `getQueryExpr()` Returns the value of the 'Query Expr' containment reference.
`EList` `getValueExprList()` Returns the value of the 'Value Expr List' containment reference list.
`void` `setQuantifiedType(PredicateQuantifiedType value)` Sets the value of the '`Quantified Type`' attribute.
`void` `setQueryExpr(QueryExpressionRoot value)` Sets the value of the '`Query Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### getQuantifiedType

    public PredicateQuantifiedType getQuantifiedType()

  Returns the value of the 'Quantified Type' attribute. The literals are from the enumeration `PredicateQuantifiedType`.

  If the meaning of the 'Quantified Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Quantified Type' attribute.
  See Also:
    `PredicateQuantifiedType`, `setQuantifiedType(PredicateQuantifiedType)`, `SQLQueryModelPackage.getPredicateQuantifiedRowSelect_QuantifiedType()`

### setQuantifiedType

    public void setQuantifiedType(PredicateQuantifiedType value)

  Sets the value of the '`Quantified Type`' attribute.

  Parameters:
    `value` - the new value of the 'Quantified Type' attribute.
  See Also:
    `PredicateQuantifiedType`, `getQuantifiedType()`

### getQueryExpr

    public QueryExpressionRoot getQueryExpr()

  Returns the value of the 'Query Expr' containment reference. It is bidirectional and its opposite is '`Quantified Row Select Right`'.

  If the meaning of the 'Query Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Expr' containment reference.
  See Also:
    `setQueryExpr(QueryExpressionRoot)`, `SQLQueryModelPackage.getPredicateQuantifiedRowSelect_QueryExpr()`, `QueryExpressionRoot.getQuantifiedRowSelectRight()`

### setQueryExpr

    public void setQueryExpr(QueryExpressionRoot value)

  Sets the value of the '`Query Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Expr' containment reference.
  See Also:
    `getQueryExpr()`

### getValueExprList

    public EList getValueExprList()

  Returns the value of the 'Value Expr List' containment reference list. The list contents are of type `QueryValueExpression`. It is bidirectional and its opposite is '`Quantified Row Select Left`'.

  If the meaning of the 'Value Expr List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getPredicateQuantifiedRowSelect_ValueExprList()`, `QueryValueExpression.getQuantifiedRowSelectLeft()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.